-- Test various features of Glu's console window.

print("Any script that calls print or io.write will open Glu's console window.")
print("")
print("math.pi = "..math.pi)
print("math.maxinteger = "..math.maxinteger)
print("booleans:", true, false)
print("nil:", nil)
print("table:", {1, 2, 3})
function f() end
print("function:", f)
print("\nVery very very very very very very very very very very very very very very very very very very very very very long lines will be wrapped.")
print("")
print("1000 io.write calls (hit the Stop button or escape key to abort):")
for i = 1, 1000 do
    io.write(".")
end
print("\nHit the Run button to run the script again.")
